Home » Categories » Frooition Software

TLS 1.1 and TLS 1.2 in Internet Explorer

To maintain the highest security standards and promote the safety of your data, Frooition has proactively updated its systems to no longer support TLS 1.0 as of December 7th, 2015.

If you are using Internet Explorer to access Frooition, we recommend using Microsoft Internet Explorer 11 to achieve compatibility.

All major web browsers have been automatically updated to the latest versions supporting TLS 1.1 and 1.2, it is important for your online safety to have the last security within your web browser to protect your login details online. Microsoft Internet Explorer 6, 7, 8, 9 and 10 do not provide you with this security and therefore we recommend you download and use any of the browsers listed below to access Frooition systems.

Google Chrome
Mozilla Firefox
Microsoft Internet Explorer
Apple Safari

If you are already using desktop or mobile Internet Explorer 11 or greater, Microsoft Edge, Firefox 27 or
greater, Google Chrome 38 or greater, desktop Safari 7 or greater, or mobile safari 5 or greater - your browser already has the latest TLS security activated.

Attachments Attachments
There are no attachments for this article.
Related Articles RSS Feed
Frooition Signature - Getting Started Guide
Viewed 3351 times since Mon, Mar 3, 2014
Will my bundle credits roll over?
Viewed 2179 times since Fri, Feb 1, 2013
Why do you provide support via this knowledgebase and a ticket system? Why not via telephone?
Viewed 5015 times since Mon, Apr 18, 2011
Frooition - Getting Started Guide
Viewed 3244 times since Mon, Mar 3, 2014
Updating Storefront promo Boxes (non-flash)
Viewed 1998 times since Wed, Oct 19, 2016
How do I contact support?
Viewed 4340 times since Fri, Feb 1, 2013
Why does the Bundled Package have 4 separate subscriptions?
Viewed 3346 times since Fri, Feb 1, 2013
Common Import Errors
Viewed 4927 times since Thu, Aug 1, 2013
Frooition ServicesSoftware LoginContact UsCopyright Frooition © 2010-2018